Index: uspace/lib/net/include/net_checksum.h
===================================================================
--- uspace/lib/net/include/net_checksum.h	(revision 849ed54afbef3ad0ec3af831e93a1353f9eaaf0f)
+++ uspace/lib/net/include/net_checksum.h	(revision a93d79a46693b2c1d9a1d42413c586c2049c4ef1)
@@ -27,84 +27,37 @@
  */
 
-/** @addtogroup net
- *  @{
+/** @addtogroup libnet
+ * @{
  */
 
 /** @file
- *  General CRC and checksum computation.
+ * General CRC and checksum computation.
  */
 
-#ifndef __NET_CHECKSUM_H__
-#define __NET_CHECKSUM_H__
+#ifndef LIBNET_CHECKSUM_H_
+#define LIBNET_CHECKSUM_H_
 
 #include <byteorder.h>
-
 #include <sys/types.h>
 
 /** IP checksum value for computed zero checksum.
- *  Zero is returned as 0xFFFF (not flipped)
+ * Zero is returned as 0xFFFF (not flipped)
  */
-#define IP_CHECKSUM_ZERO			0xFFFFu
+#define IP_CHECKSUM_ZERO	0xffffU
 
-/**	Computes CRC32 value.
- *  @param[in] seed Initial value. Often used as 0 or ~0.
- *  @param[in] data Pointer to the beginning of data to process.
- *  @param[in] length Length of the data in bits.
- *  @returns The computed CRC32 of the length bits of the data.
- */
 #ifdef ARCH_IS_BIG_ENDIAN
-	#define compute_crc32(seed, data, length)	compute_crc32_be(seed, (uint8_t *) data, length)
+#define compute_crc32(seed, data, length) \
+	compute_crc32_be(seed, (uint8_t *) data, length)
 #else
-	#define compute_crc32(seed, data, length)	compute_crc32_le(seed, (uint8_t *) data, length)
+#define compute_crc32(seed, data, length) \
+	compute_crc32_le(seed, (uint8_t *) data, length)
 #endif
 
-/**	Computes CRC32 value in the little-endian environment.
- *  @param[in] seed Initial value. Often used as 0 or ~0.
- *  @param[in] data Pointer to the beginning of data to process.
- *  @param[in] length Length of the data in bits.
- *  @returns The computed CRC32 of the length bits of the data.
- */
-extern uint32_t compute_crc32_le(uint32_t seed, uint8_t * data, size_t length);
-
-/**	Computes CRC32 value in the big-endian environment.
- *  @param[in] seed Initial value. Often used as 0 or ~0.
- *  @param[in] data Pointer to the beginning of data to process.
- *  @param[in] length Length of the data in bits.
- *  @returns The computed CRC32 of the length bits of the data.
- */
-extern uint32_t compute_crc32_be(uint32_t seed, uint8_t * data, size_t length);
-
-/** Computes sum of the 2 byte fields.
- *  Padds one zero (0) byte if odd.
- *  @param[in] seed Initial value. Often used as 0 or ~0.
- *  @param[in] data Pointer to the beginning of data to process.
- *  @param[in] length Length of the data in bytes.
- *  @returns The computed checksum of the length bytes of the data.
- */
-extern uint32_t compute_checksum(uint32_t seed, uint8_t * data, size_t length);
-
-/** Compacts the computed checksum to the 16 bit number adding the carries.
- *  @param[in] sum Computed checksum.
- *  @returns Compacted computed checksum to the 16 bits.
- */
-extern uint16_t compact_checksum(uint32_t sum);
-
-/** Returns or flips the checksum if zero.
- *  @param[in] checksum The computed checksum.
- *  @returns The internet protocol header checksum.
- *  @returns 0xFFFF if the computed checksum is zero.
- */
-extern uint16_t flip_checksum(uint16_t checksum);
-
-/** Computes the ip header checksum.
- *  To compute the checksum of a new packet, the checksum header field must be zero.
- *  To check the checksum of a received packet, the checksum may be left set.
- *  The zero (0) value will be returned in this case if valid.
- *  @param[in] data The header data.
- *  @param[in] length The header length in bytes.
- *  @returns The internet protocol header checksum.
- *  @returns 0xFFFF if the computed checksum is zero.
- */
-extern uint16_t ip_checksum(uint8_t * data, size_t length);
+extern uint32_t compute_crc32_le(uint32_t, uint8_t *, size_t);
+extern uint32_t compute_crc32_be(uint32_t, uint8_t *, size_t);
+extern uint32_t compute_checksum(uint32_t, uint8_t *, size_t);
+extern uint16_t compact_checksum(uint32_t);
+extern uint16_t flip_checksum(uint16_t);
+extern uint16_t ip_checksum(uint8_t *, size_t);
 
 #endif
